Subject: Re: [PATCH] net: release dst entry in dev_hard_start_xmit()

From: Eric Dumazet <[email-masked]>
Date: Tue, 12 May 2009 21:44:52 +0200

Jarek Poplawski a écrit :
> On Tue, May 12, 2009 at 10:21:12AM +0200, Eric Dumazet wrote:
>> Eric Dumazet a écrit :
> ...
>>> List of devices that must clear this flag is :
>>>
>>> - loopback device, because it calls netif_rx() and quoting Patrick :
>>>     "ip_route_input() doesn't accept loopback addresses, so loopback packets
>>>      already need to have a dst_entry attached."
>>> - appletalk/ipddp.c : needs skb->dst in its xmit function
>>>
>>> - And all devices that call again dev_queue_xmit() from their xmit function
>>> (as some classifiers need skb->dst) : bonding, macvlan, eql, ifb, hdlc_fr
> 
> Why not vlan (and/or maybe others in net/ using dev_queue_xmit)?
> 

Yes I spoted vlan earlier this afternoon.

For other net/*, I didnt not find candidates yet.